---
layout: post
title: "Pacte Civique, Démocratie et Spiritualité"
authors: 
  - Jean-Baptiste de Foucauld
date: "2017-09-12"
slug: "pacte_civique"
description: "Comment le politique peut-il interagir avec le spirituel pour résoudre les problèmes de nos sociétés sans repères."
categories:
  - Démocratie
---

Comment le politique peut-il interagir avec le spirituel pour résoudre les problèmes de nos sociétés sans repères ? Voilà le sujet qui me motive en profondeur depuis l’adolescence : ces deux dimensions doivent s’étayer, « s’unir sans se confondre, se distinguer sans se séparer », mais ce n’est pas commode tant sont puissantes les passions simplificatrices.

La lecture de Raymond Abellio m’ayant permis de sortir d’une crise spirituelle assez profonde, un groupe informel Spiritualité et politique s’est formé, qui a élaboré une règle de vie (sens, frugalité, fraternité), réfléchi et écrit (des textes non publiés), s’est investi dans le club crée par Jacques Delors, Echange et Projets, où il a largement alimenté « La révolution du temps choisi », un livre dont les thèses restent très actuelles. Il a concrétisé son action (et du coup s’est  dissous) dans Solidarités nouvelles face au chômage. Le chômage qui a cassé la société des trente glorieuses après le premier choc pétrolier m’est apparu en effet en 1985 comme le grand enjeu politique et spirituel de notre temps, qui légitimait une forte implication citoyenne, la création de groupes de solidarité mettant à disposition de chercheurs d’emploi un binôme de deux accompagnateurs susceptibles, en cas de besoin, de créer des [emplois solidaires au profit des personnes accompagnées][1]. Cette expérience, qui s’est beaucoup développée avec de nouvelles équipes, a contribué à l’écriture, avec Denis Piveteau, de « Une société en quête de sens » (Odile Jacob, 1995).  

Le sentiment, après la chute du communisme, que la crise des démocraties allait s’approfondir au sein de cette mondialisation si peu organisée a conduit à la création, en 1993, de Démocratie et Spiritualité : pour accomplir leur ambitieux projet d’égale dignité de chacun, les démocraties ont besoin de ressources morales et spirituelles, mais inversement les spiritualités et les religions ont besoin du climat démocratique pour être préservées de leurs tendances autoritaires. Cette association, qui produit une [lettre bimensuelle][2] a été à l’origine, avec d’autres partenaires et avec un ensemble de personnalités, du [Pacte civique][3], lancé en 2011 : Face à la crise, il nous faut désormais « penser, agir, vivre autrement en démocratie ». Sortir de la course aux désirs illimités en cultivant « l’Abondance frugale »[^1].  Et pour cela déployer simultanément des valeurs de créativité, sobriété, justice et fraternité, à tous les étages (nos comportements personnels, le fonctionnement de nos organisations, les institutions et politiques publiques). 32 orientations ou engagements permettent de préciser cette démarche qui est progressivement mise en œuvre par le collectif qui s’est ainsi crée. Ce sont actuellement mes deux principaux engagements, avec la présidence des [Amis de Pontigny-Cerisy][4].

---

[1]: http://www.snc.asso.fr
[2]: http://www.democratieetspiritualite.org
[3]: http://www.pacte-civique.org
[4]: http://www.ccic-cerisy.asso.fr

[^1]: Odile Jacob, 2002 et 2010
